(:
For each item that has received a bid, list the item number, the highest bid, and the name of the highest bidder, ordered by item number.
:)
import schema namespace bid = "http://www.xquark.org/XQuery/use-cases/bids" at "bids.xsd"

<result>
  {
    for $highbid in doc("bids.xml")/bid:bids/bid_tuple,
        $user in collection("users")/*:users
    where $user/userid = $highbid/userid 
      and $highbid/bid = max(doc("bids.xml")/bid:bids/bid_tuple
                              [itemno = $highbid/itemno]/bid)
    order by $highbid/itemno
    return
        <high_bid>
            { $highbid/itemno }
            { $highbid/bid }
            <bidder>{ $user/name/text() }</bidder>
        </high_bid>
  }
</result>
