@echo off
rem ----------------------------------------------------------------
rem          Command-line script for running the sample
rem ----------------------------------------------------------------

rem ** OS specific init ********************************************************

if not "%OS%"=="Windows_NT" goto initOK
:NTinit
setlocal

rem %~dp0 is the absolute path of current script with NT family
if "%XQFUSION_HOME%"=="" set XQFUSION_HOME=%~dp0..\..

:initOK

rem ** Check XQFUSION_HOME variable is set *************************************
if not "%XQFUSION_HOME%"=="" goto checkJVM
echo.
echo Error: XQFUSION_HOME is not set and XQuark Fusion could not be located.
echo.
goto error

rem ** Locate JVM **************************************************************
:checkJVM

if "%JAVA_HOME%"=="" goto setJava
set JAVA=%JAVA_HOME%\bin\java

if exist "%JAVA%.exe" goto setCP
echo.
echo Error: "%JAVA%.exe" not found. Please check JAVA_HOME value.
echo.
goto error

:setJava

if "%JAVA%"=="" set JAVA=java
echo.
echo WARNING: JAVA_HOME not set. Trying with java.exe found in the execution path.
echo.

rem ** Set classpath ***********************************************************
:setCP

set CP=.;%XQFUSION_HOME%\lib\xquark-fusion.jar
if not "%XQ_CLASSPATH%"=="" set useXQCP=true
if "%useXQCP%"=="true" set CP=%CP%;%XQ_CLASSPATH%
if not "%CLASSPATH%"=="" set CP=%CP%;%CLASSPATH%
rem Third-party libraries
set CP=%CP%;%XQFUSION_HOME%\lib\crimson.jar
set CP=%CP%;%XQFUSION_HOME%\lib\mysql-connector-java-3.0.9-stable-bin.jar

rem ** Run Main *******************************************************
"%JAVA%" -classpath "%CP%" Main %1 %2
set RESULT=%errorlevel%
goto end

:error
set RESULT=1

:end
set CP=
set JAVA=

if "%OS%"=="Windows_NT" endlocal
if "%errorcode%"=="1" exit %RESULT%
